using System;
using System.Collections;

namespace Common
{
	public class ConnectionParams
	{
		#region Fields		
		private int userID;
		private DatabaseType dbType;
		private string conString;		
		#endregion

		#region Properties
		public string ConnectionString
		{
			get
			{
				return conString;
			}
		}

		public DatabaseType DBType
		{
			get 
			{
				return dbType;
			}
		}
		#endregion

		#region Methods		
		private static ConnectionParams GetEmpty()
		{
			return new ConnectionParams(0, "", DatabaseType.None);
		}

		#endregion

		#region Constructors/Initializers
		public ConnectionParams(int userID, string conString, DatabaseType dbType)
		{
			this.userID = userID;
			this.conString = conString;
			this.dbType = dbType;
		}
		#endregion
	}
}
