using System.Data;
using System;
using System.Collections;
using System.Collections.Generic;

namespace Common
{
    public class DataTableHelper
    {
        public static void SelectDistinct(DataTable srcTable)
        {
            if (srcTable.Rows.Count <= 1)
                return;

            int colIdx;
            DataRow row1, row2;
            for (int i = 0; i < srcTable.Rows.Count;i++)
            {
                row1 = srcTable.Rows[i];
                for (int j = i+1; j < srcTable.Rows.Count;)
                {
                    row2 = srcTable.Rows[j];
                    for (colIdx = 0; colIdx < srcTable.Columns.Count; colIdx++)
                    {
                        if (!row1[colIdx].Equals(row2[colIdx]))
                            break;
                    }

                    if (colIdx == srcTable.Columns.Count)
                        srcTable.Rows.Remove(row2);
                    else
                        j++;
                }
            }
        }

        public static DataTable SelectDistinct(DataTable srcTable, string[] columnNames)
        {
            DataTable destTable = new DataTable();
            for (int i = 0; i < columnNames.Length; i++)
                destTable.Columns.Add(columnNames[i], srcTable.Columns[columnNames[i]].DataType);
            
            DataRow destRow, srcRow;
            for (int i = 0; i < srcTable.Rows.Count; i++)
            {
                srcRow = srcTable.Rows[i];
                destRow = destTable.NewRow();
                for (int j = 0; j < columnNames.Length; j++)
                    destRow[columnNames[j]] = srcRow[columnNames[j]];
                destTable.Rows.Add(destRow);
            }
                
            SelectDistinct(destTable);

            return destTable;
        }
    }
}
