using System;
using System.IO;
using System.Collections.Generic;
using System.Text;

namespace Common
{
    public class FileHelper
    {
        public static byte[] GetFile(string filePath)
        {
            if (!File.Exists(filePath))
                return null;

            byte[] fileData;
            FileStream fs = null;
            try
            {
                fs = new FileStream(filePath, FileMode.Open, FileAccess.Read);
                BinaryReader br = new BinaryReader(fs);

                fileData = br.ReadBytes((int)br.BaseStream.Length);
            }
            catch(Exception exc)
            {
                ApplicationLog.LogException(exc, "Handled Exception");
                fileData = null;
            }
            finally
            {
                if (fs != null)
                    fs.Dispose();
            }

            return fileData;
        }
    }
}
