using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace Common
{
    public class PageCache
    {
        #region Fields
        private string pageName;
        private Hashtable pageData;
        #endregion

        #region Properties
        public int Size
        {
            get
            {
                return pageData.Count;
            }
        }

        public ICollection Values
        {
            get
            {
                return pageData.Values;
            }
        }

        public object this[string key]
        {
            get { return pageData[key.ToLower()]; }
        }
        #endregion

        #region Constructors/Initializers
        public PageCache(): this(null)
        { }

        public PageCache(string pageName)
        {
            this.pageName = pageName;
            pageData = new Hashtable();
        }
        #endregion

        #region Methods

        public void Clear()
        {
            pageData.Clear();
        }

        public void Add(string key, object data)
        {
            if (key == null) return;
            pageData[key.ToLower()] = data;
        }

        public void Remove(string key)
        {
            pageData.Remove(key.ToLower());
        }

        public void Init(string pageName)
        {
            if (this.pageName != pageName)
            {
                if (pageData.Count > 0)
                    Clear();
                this.pageName = pageName;
            }
        }
        #endregion
    }
}
