using System;
using System.Collections.Generic;
using System.Text;

namespace Common
{
	public class StringConstants
	{
		#region Config
        public const string CONFIG_KEY_CONNECTION_NAME = "GammaMultilabWeb";
        public const string CONFIG_KEY_MIN_PASSWORD_LENGTH = "MIN_PASSWORD_LENGTH";
        public const string CONFIG_URL_COMPANY_HOME = "URL_COMPANY_HOME";		
        public const string CONFIG_KEY_TRACE_FILE = "TRACE_FILE";
        public const string CONFIG_KEY_TRACE_ENABLED = "TRACE_ENABLED";
		#endregion

		#region Errors
		public const string ERROR_NOT_SUPPORTED = "000: Action is not supported";
		public const string ERROR_OBJECT_NOT_FOUND = "001: No object found";
		public const string ERROR_NOT_VALID_OBJECT = "002: Object is not valid";
		public const string ERROR_REQUIRED_FIELD = "003: Required field";
		public const string ERROR_OUT_OF_RANGE = "004: Value is out of range %1";
        public const string ERROR_STRING_TOO_LONG = "005: String exceeds %1 characters";
        public const string ERROR_LOGIN = "100: Wrong username or password or account not valid.";
        public const string ERROR_PASSWORD_MISMATCH = "101: Password and password confirmation do not match.";
        public const string ERROR_PASSWORD_WRONG = "102: The value and the current password do not match.";
        public const string ERROR_PASSWORD_CHANGE_FAILED = "103: Password change failed.";
        public const string MSG_PASSWORD_CHANGE_SUCCESS = "104: The password was successfully changed.";
        public const string ERROR_PASSWORD_DATE_MISMATCH = "105: Password and date match not found.";
        public const string ERROR_PASSWORD_LENGTH = "106: Password length must be at least %1 symbols.";
        public const string ERROR_NO_ACTIVITIES = "107: Please select one or more activities to see graphical report.";
        public const string ERROR_TOO_MANY_ACTIVITIES = "108: The maximum number of activities you can select is %1.";
        public const string ERROR_ACTIVITY_UNIT = "109: The selected activities must have one unit.";
		#endregion

		#region Session
		public const string SESSION_KEY_USER_DATA = "USER_DATA";
		#endregion

        #region ViewState
        public const string VIEWSTATE_KEY_SORT = "SORT";
        #endregion

        #region Query
        public const string QUERY_KEY_ENTITY_ID = "entityID";
		public const string QUERY_ENCRYPTED_KEY = "param";
        public const string QUERY_REPORT_TYPE = "reportType";
        //public const string QUERY_KEY_KEY1 = "key1";
		#endregion

		#region Global
		public const string NOT_TRANSLATED = "***NOT TRANSLATED***";
		public const string MESSAGES = "Messages";
		#endregion

		#region Application
		public const string APPLICATION_KEY_LOG_FILE = "LOG_FILE";
		public const string APPLICATION_KEY_LANGUAGE_DATA = "LANGUAGE_DATA";
		#endregion

        #region UserRole
        public const string ROLE_NONE = "None";
        public const string ROLE_ADMIN = "Admin";
        public const string ROLE_USER = "User";
        #endregion
    }
}
