using System;
using System.Data;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace Common
{
    public class WebUserInfoCollection
    {
        #region Fields
        Hashtable items;
        public Hashtable Items
        {
            get { return items; }
        }

        public WebUserInfo this[object key]
        {
            get
            {
                return this.Items[key] as WebUserInfo;
            }
        }

        public WebUserInfo this[DateTime date]
        {
            get
            {
                WebUserInfo wi;
                foreach (int key in Items.Keys)
                {
                    wi = Items[key] as WebUserInfo;
                    if (wi.IsAuthorized(date))
                        return wi;
                }
                return null;
            }
        }

        public int Count
        {
            get { return items.Count; }
        }
        #endregion

        public WebUserInfoCollection()
        {
            items = new Hashtable();
        }

        public void Add(string password, DataTable table)
        {
            WebUserInfo wInfo;
            int webUserID, personID;
            foreach (DataRow row in table.Rows)
            {
                webUserID = ParseMethods.ReadInt(row[DBS.F_WEBUSERS_WEBUSERID]);
                personID = ParseMethods.ReadInt(row[DBS.F_WEBUSERS_PERSONID]);
                wInfo = new WebUserInfo(webUserID, personID, password, ParseMethods.ReadDate(row[DBS.F_WEBUSERS_STARTDATE]), ParseMethods.ReadDate(row[DBS.F_WEBUSERS_ENDDATE]));
                items[webUserID] = wInfo;
            }
        }

        public void Add(string password, DataRow row)
        {
            int webUserID = ParseMethods.ReadInt(row[DBS.F_WEBUSERS_WEBUSERID]);
            int personID = ParseMethods.ReadInt(row[DBS.F_WEBUSERS_PERSONID]);
            WebUserInfo wInfo = new WebUserInfo(webUserID, personID, password, ParseMethods.ReadDate(row[DBS.F_WEBUSERS_STARTDATE]), ParseMethods.ReadDate(row[DBS.F_WEBUSERS_ENDDATE]));
            items[webUserID] = wInfo;
        }

        public void Add(WebUserInfo info)
        {
            items[info.ID] = info;
        }

        public void Clear()
        {
            items.Clear();
        }

        public void Remove(int key)
        {
            items.Remove(key);
        }

        public void Remove(DateTime date)
        {
            WebUserInfo wInfo;
            IList<int> keys = new List<int>();

            foreach (int key in items.Keys)
            {
                wInfo = items[key] as WebUserInfo;
                if (wInfo != null && wInfo.IsAuthorized(date))
                    keys.Add(key);
            }

            foreach (int key in keys)
                Remove(key);
        }

        public void Remove(string password)
        {
            WebUserInfo wInfo;
            IList<int> keys = new List<int>();
            foreach (int key in items.Keys)
            {
                wInfo=items[key] as WebUserInfo;
                if (wInfo != null && wInfo.Password == password)
                    keys.Add(key);
            }

            foreach (int key in keys)
                Remove(key);
        }
    }
}
