using System;
using System.Data;
using System.Collections.Generic;
using System.Text;

namespace DataLayer
{
	public interface IHelper : IDisposable
	{
		void LoadDataTableSchema(DataTable dataTable);
		void LoadDataTableSchema(DataTable dataTable, string[] selectColumns);
		void LoadDataTable(DataTable dataTable, string[] selectColumns, string[] filterColumns, object[] filterValues, string[] sortColumns, bool[] sortAsc, bool fillSchema);
		void Update(DataTable dataTable);
		void Update(DataRow[] dataRows);
		object ExecuteScalar(string sql);
		int ExecuteNonQuery(string sql);
		int Fill(DataTable dataTable, string sql);
		int Fill(DataTable dataTable);
		IDbCommand SelectCommand { get;}
		IDbCommand InsertCommand { get;}
		IDbCommand UpdateCommand { get;}
		IDbCommand DeleteCommand { get;}
		IDbConnection Connection { get;}
		System.Data.Common.DbDataAdapter DataAdapter { get;}
		void PrepareSelectCommand(DataTable dataTable, IDbCommand sqlCommand, string[] selectColumns, string[] filterColumns, object[] filterValues, string[] sortColumns, bool[] sortOrder);
		void PrepareChildSelectCommand(DataTable dataTable, IDbCommand sqlCommand, string[] selectColumns, string parentTableName, string parentFKName, string childFKName, string parentPKName, int parentPKValue);
		void PrepareInsertCommand(DataTable dataTable, IDbCommand sqlCommand);
		void PrepareUpdateCommand(DataTable dataTable, IDbCommand sqlCommand);
		void PrepareDeleteCommand(DataTable dataTable, IDbCommand sqlCommand);
		string PrepareRenameTableCommand(string oldName, string newName);
		string PrepareRenameFieldCommand(string tableName, string oldName, string newName);
		string PrepareDropTableCommand(string tableName);
		string PrepareDropFieldCommand(string tableName, string fieldName);
		string PrepareAddFieldCommand(string tableName, FieldDef fieldDef);
		string PrepareAlterFieldCommand(string tableName, FieldDef fieldDef);
		string PrepareFieldDefinition(FieldDef fieldDef);
		string PrepareCreateTableCommand(string tableName, FieldDef[] fields);
		void OpenConnection();
		void CloseConnection();
		void BeginTransaction();
		void CommitTransaction();
		void RollbackTransaction();
	}
	
}
