using System;
using System.Collections;
using System.Data;
using System.Data.OleDb;

using Common;

namespace DataLayer
{
	public class MainDALC
	{
		[ThreadStatic]
		public static string connectionString;		
		[ThreadStatic]
		public static DatabaseType DbType;

		public static void Initialize(ConnectionParams connectionParams)
		{
			DbType = connectionParams.DBType;
			connectionString = connectionParams.ConnectionString;
		}

		public static IHelper GetHelper()
		{
			IHelper helper;

			switch (DbType)
			{
				case DatabaseType.MSSQL:
					helper = new MSSqlHelper(connectionString);
					break;
				default:
					// error
					helper = null;
					break;
			}

			return helper;
		}		
	}

	public struct FieldDef
	{
		public string Name;
		public DBType Type;
		public int Length;
		public bool AllowNull;
		public bool AutoNumber;
		public bool PrimaryKey;

		public FieldDef(string name, DBType dbType, int length, bool allowNull, bool autoNumber, bool primaryKey)
		{
			Name = name;
			Type = dbType;
			Length = length;
			AllowNull = allowNull;
			AutoNumber = autoNumber;
			PrimaryKey = primaryKey;
		}
	}
}
