using System;
using System.Collections;
using System.Configuration;

namespace FrameWork
{
    public class ViewStateMgr
    {
        private const short VIEW_STATE_NUM_PAGES = 5;		//Number of pages to keep viewstate for
        private const string SESSION_VIEW_STATE_MGR = "VIEW_STATE_MGR";

        private long pageCount = 0;	//Number of pages seen by this customer 
        private string[] viewStates = new string[VIEW_STATE_NUM_PAGES];	//Store for viewstates

        public long SaveViewState(string viewState)
        {
            pageCount++;
            short index = (short)(pageCount % VIEW_STATE_NUM_PAGES);
            viewStates[index] = viewState;

            return pageCount;
        }

        public string GetViewState(long requestNumber)
        {
            short index = (short)(requestNumber % VIEW_STATE_NUM_PAGES);
            return viewStates[index];
        }

        public static ViewStateMgr GetViewStateMgr()
        {
            ViewStateMgr viewStateMgr;

            if (System.Web.HttpContext.Current.Session[SESSION_VIEW_STATE_MGR] == null)
            {
                viewStateMgr = new ViewStateMgr();
                System.Web.HttpContext.Current.Session[SESSION_VIEW_STATE_MGR] = viewStateMgr;
            }
            else
                viewStateMgr = (ViewStateMgr)System.Web.HttpContext.Current.Session[SESSION_VIEW_STATE_MGR];

            return viewStateMgr;
        }
    }
}

