using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Common;
using BusinessLayer;

namespace GammaMultilabWeb
{
    public partial class Login : FrameWork.PageUnsecure
    {
        #region Initialization
        protected void Page_Load(object sender, EventArgs e)
        {
            
        }

        protected override void LoadStaticData()
        {
            string hospitalName = Hospital.GetSetting(DBS.F_SYSTEM_NAME).ToString();
            string hospitalCity = Hospital.GetSetting(DBS.F_SYSTEM_CITY).ToString();
            lblWelcomeText.Text = Multilanguage.GetTranslatedString(PageFileName, "WelcomeText").Replace("#HOSPITALNAME#", hospitalName).Replace("#CITY#", hospitalCity);
            
            string script = "FocusControl('"+txtUsername.ClientID + "');";
            if (!Page.ClientScript.IsStartupScriptRegistered("focus"))
                ClientScript.RegisterStartupScript(typeof(string), "focus", script, true);
        }
        #endregion

        #region Event Handlers
        protected void btnLogin_Click(object sender, EventArgs e)
        {
            int userID = ParseMethods.ReadInt(txtUsername.Text);
            string password = txtPassword.Text.Trim();

            UserData user = Administration.Login(userID, password);

            if (user.LoginStatus==Common.LoginStatus.Authenticated)
                Response.Redirect("Home.aspx");
            else
                ShowGeneralError(StringConstants.ERROR_LOGIN);
        }
        #endregion
    }
}
