using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Common;
using BusinessLayer;

namespace GammaMultilabWeb
{
    public partial class Main : System.Web.UI.MasterPage
    {
        #region Properties
        SiteMapDataSource MapDataSrc
        {
            get 
            {
                return mapDataSrc;
            }
        }
        #endregion
        #region Initialization
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
                LoadStaticData();
        }

        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            mapDataSrc.SiteMapProvider = Request.IsAuthenticated ? "mapAuthenticated" : "mapNotAuthenticated";
        }

        private void LoadStaticData()
        {
            mnuMain.DataSource = MapDataSrc;
            mnuMain.DataBind();

            lblUser.Text = UserData.CurrentUser.FullName;

            if (MapDataSrc.Provider.CurrentNode != null)
            {
                lblTitle.Text = MapDataSrc.Provider.CurrentNode.Description;
                Page.Title = MapDataSrc.Provider.CurrentNode.Description;
            }
        }
        #endregion

        #region Event Handlers
        protected void mnuMain_MenuItemDataBound(object sender, MenuEventArgs e)
        {
            SiteMapNode mapNode = (SiteMapNode)e.Item.DataItem;

            if (mapNode.Roles.Contains("*") || UserData.CurrentUser.IsInRoles((mapNode.Roles)))
                return;

            mnuMain.Items.Remove(e.Item);
        }
       
        #endregion
    }
}