using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Common;
using BusinessLayer;

namespace GammaMultilabWeb.UC
{
    public partial class UCCalendarJS : System.Web.UI.UserControl
    {
        #region Properties
        public TextBox TxtDate
        {
            get
            {
                return txtDate;
            }
            set
            {
                txtDate = value;
            }
        }
        public string Text
        {
            get
            {
                return txtDate.Text;
            }
            set
            {
                txtDate.Text = value;
            }
        }
        public string CssClass
        {
            get
            {
                return txtDate.CssClass;
            }
            set
            {
                txtDate.CssClass = value;
            }
        }
        public DateTime Value
        {
            get
            {
                return ParseMethods.ReadDateBg(txtDate.Text);
            }
            set
            {
                if (value != ParseMethods.VALUE_BAD_DATE)
                    txtDate.Text = FormatMethods.GetStringDateBg(value);
            }
        }

        public bool Enabled
        {
            get
            {
                return txtDate.Enabled;
            }
            set
            {
                if (value)
                    imgDate.Attributes["onclick"] = "JavaScript:return showCalendar('" + txtDate.ClientID + "', '" + UserData.CurrentUser.CalendarDateFormat + "');";
                else
                    imgDate.Attributes["onclick"] = "";
                txtDate.Enabled = value;
            }
        }
        #endregion

        protected void Page_Load(object sender, EventArgs e)
        {
           
                System.Text.StringBuilder builder = new System.Text.StringBuilder();
                builder.Append("<LINK href=\"");
                builder.Append("app_themes/Default/calendar-blue.css\" type=\"text/css\" rel=\"stylesheet\">");
                builder.Append("<SCRIPT src=\"");
                builder.Append(FrameWork.PageBase.ApplicationPath);
                builder.Append("script/calendar.js\"></SCRIPT>");
                builder.Append("<SCRIPT src=\"");
                builder.Append(FrameWork.PageBase.ApplicationPath);
                builder.Append("script/calendar-bg.js\"></SCRIPT>");
                if (!Page.ClientScript.IsStartupScriptRegistered("calendar"))
                    Page.ClientScript.RegisterStartupScript(typeof(string), "calendar", builder.ToString());

            if (!Page.IsPostBack)
                imgDate.Attributes["onclick"] = "JavaScript:return showCalendar('" + txtDate.ClientID + "', '" + UserData.CurrentUser.CalendarDateFormat + "');";
        }
    }
}